import {Component, ViewChild, AfterViewInit, Input} from '@angular/core';
import {DayPilot} from "daypilot-pro-angular";

@Component({
  selector: 'scheduler-component',
  template: `<button (click)="click()" (dblclick)="doubleClick()">{{text}}</button>`,
  styles: [`
  button {
    background-color: #3c78d8;
    border: 1px solid #1155cc;
    color: #fff;
  }
  `]

})
export class ResourceComponent {

  @Input()
  text: string = "";

  click() {
    console.log("button clicked");
  }

  doubleClick() {
    console.log("button double-clicked");
    DayPilot.Modal.alert("Button double clicked");
  }
}
